Package com.smartgwt.client.types

# Enum PickerIconName

java.lang.Object
java.lang.Enum<PickerIconName>
com.smartgwt.client.types.PickerIconName

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<PickerIconName>`, `Constable`

public enum PickerIconName extends Enum<PickerIconName> implements ValueEnum
Standard pickers

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CLEAR`
  Picker icon to clear a field value.
  `COMBOBOX`
  Picker icon for a general combobox.
  `DATE`
  Picker icon for date value.
  `REFRESH`
  Picker icon to refresh a value.
  `SEARCH`
  Picker icon to start a search.
  `VOICEASSIST`
  Inline icon that triggers `VoiceAssist` value-dictation.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static PickerIconName`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static PickerIconName[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CLEAR

    public static final PickerIconName CLEAR
    Picker icon to clear a field value.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "clear".

  - ### SEARCH

    public static final PickerIconName SEARCH
    Picker icon to start a search.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "search".

  - ### REFRESH

    public static final PickerIconName REFRESH
    Picker icon to refresh a value.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "refresh".

  - ### DATE

    public static final PickerIconName DATE
    Picker icon for date value.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "date".

  - ### COMBOBOX

    public static final PickerIconName COMBOBOX
    Picker icon for a general combobox.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "comboBox".

  - ### VOICEASSIST

    public static final PickerIconName VOICEASSIST
    Inline icon that triggers `VoiceAssist` value-dictation. Shows on focus; activating it begins dictating a new value for the field.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "voiceAssist".

- ## Method Details

  - ### values

    public static PickerIconName[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static PickerIconName valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`